Subject: Bug in g77 (2.95.1) compiler

From: [email-masked]
Date: Thu, 21 Oct 1999 12:30:28 +0200 (MSZ)

Are there any experiences in the quality of the latest g77 compiler?

Unlike the previous one, compiling gradlib/ijdkl.f of the TURBOMOLE
system gives wrong results in basis set optimizations if compiled with -O2.
(-O0 works for both compilers). At first glance, I could not see any
programming error in ijdkl.f which breaks optimization.

"Old" Compiler (works for ijdkl.f with -O2)
g77 version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release) (from FSF-g77 version 0.5.24-19981002)
GNU F77 version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release) (i486-linux) compiled by GNU C version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release).
GNU Fortran Front End version 0.5.24-19981002
 /usr/i486-linux/bin/as -V -Qy -o ./ccwqSzTR.o ./cc3KezrW.s

"New" Compiler (wrong results if ijdkl.f is compiled with -O2)
g77 version 2.95.1 19990816 (release) (from FSF-g77 version 0.5.25 19990816 (release))
GNU F77 version 2.95.1 19990816 (release) (i686-pc-linux-gnu) compiled by GNU C version 2.95.1 19990816 (release).
GNU Fortran Front End version 0.5.25 19990816 (release)

I no not know if I have time to track down this bug, but perhaps it is a good
idea to be careful with the "New" compiler.

---------------------------+------------------------------------------------
Christoph van Wullen       | Fon (University):  +49 234 32 26485
Theoretical Chemistry      | Fax (University):  +49 234 32 14109
Ruhr-Universitaet          | Fon/Fax (private): +49 234 33 22 75 
D-44780 Bochum, Germany    | eMail: [email-masked]
---------------------------+------------------------------------------------